# Class: ShippingMethod

[internal](../modules/internal-14.md).ShippingMethod

## Properties

### data

• `Optional` **data**: `Record`<`string`, `unknown`\>

#### Defined in

medusa/dist/api/routes/admin/orders/update-order.d.ts:149

___

### items

• `Optional` **items**: `Record`<`string`, `unknown`\>[]

#### Defined in

medusa/dist/api/routes/admin/orders/update-order.d.ts:150

___

### price

• `Optional` **price**: `number`

#### Defined in

medusa/dist/api/routes/admin/orders/update-order.d.ts:148

___

### profile\_id

• `Optional` **profile\_id**: `string`

#### Defined in

medusa/dist/api/routes/admin/orders/update-order.d.ts:147

___

### provider\_id

• `Optional` **provider\_id**: `string`

#### Defined in

medusa/dist/api/routes/admin/orders/update-order.d.ts:146
